{
    "name": "trezor-suite",
    "version": "1.0.0",
    "private": true,
    "repository": "https://github.com/trezor/trezor-suite.git",
    "license": "SEE LICENSE IN LICENSE.md",
    "engines": {
        "node": "18",
        "yarn": ">=4"
    },
    "workspaces": {
        "packages": [
            "packages/*",
            "packages/connect-examples/*",
            "suite-native/*",
            "suite-common/*",
            "scripts"
        ]
    },
    "scripts": {
        "_______ Hooks _______": "Yarn hooks.",
        "postinstall": "yarn run patch-package",
        "_______ Library Scripts #####": "Some libraries have their own build scripts.",
        "build:libs": "yarn nx run-many --skip-nx-cache --target=build:lib",
        "suite:build:web": "yarn workspace @trezor/suite-web build",
        "_______ Start Scripts _______": "Here are standalone scripts for running individual applications for development.",
        "suite:dev": "yarn workspace @trezor/suite-web dev",
        "suite:dev:desktop": "yarn workspace @trezor/suite-desktop dev",
        "native:start": "yarn workspace @suite-native/app start",
        "_______ Testing _______": "Testing, linting, type checking...",
        "type-check": "yarn nx run-many --target=type-check",
        "type-check:force": "rimraf -rf -- **/libDev && yarn type-check",
        "test:unit": "yarn nx run-many --target=test:unit",
        "lint:js": "eslint . --cache --cache-strategy content --ignore-path .gitignore",
        "lint:styles": "yarn nx run-many --target=lint:styles",
        "lint": "yarn lint:styles && yarn lint:js",
        "lint-staged": "npx lint-staged",
        "lint:shellcheck": "./scripts/shellcheck.sh",
        "_______ Global Scripts _______": "Shared scripts for running in all workspaces",
        "g:eslint": "cd $INIT_CWD && eslint --report-unused-disable-directives --cache --ignore-path ../../.gitignore",
        "g:jest": "cd $INIT_CWD && jest",
        "g:prettier": "cd $INIT_CWD && prettier",
        "g:rimraf": "cd $INIT_CWD && rimraf",
        "g:tsc": "cd $INIT_CWD && tsc",
        "g:tsx": "cd $INIT_CWD && tsx",
        "g:depcheck": "cd $INIT_CWD && depcheck",
        "_______ Nx testing _______": "Nx wrapped commands for testing, linting, type checking...",
        "nx:build:libs": "yarn nx affected --target=build:lib",
        "nx:type-check": "yarn nx affected --target=type-check",
        "nx:test-unit": "yarn nx affected --target=test:unit",
        "nx:lint:js": "yarn nx affected --target=lint:js",
        "nx:lint:styles": "yarn nx affected --target=lint:styles",
        "nx:format": "yarn nx format:check",
        "_______ Commands _______": "Useful commands and scripts.",
        "patch": "yarn patch-package",
        "update-project-references": "yarn tsx ./scripts/updateProjectReferences.ts",
        "verify-project-references": "yarn update-project-references --test",
        "check-workspace-resolutions": "yarn tsx ./scripts/check-workspace-resolutions.ts",
        "generate-package": "yarn tsx ./scripts/generatePackage.js",
        "deps": "rimraf **/node_modules && yarn",
        "depcheck": "yarn nx affected --target=depcheck",
        "message-system-sign-config": "yarn workspace @suite-common/message-system sign-config",
        "format": "yarn nx format:write",
        "format:all": "yarn prettier --write \"**/*.{js,ts,tsx,mdx,md,html,json,yml,yaml}\"",
        "format:verify": "yarn prettier --check \"**/*.{js,ts,tsx,mdx,md,html,json}\"",
        "update-submodules": "./scripts/update-submodules.sh",
        "update-coins": "./scripts/update-coins.sh",
        "update-models": "./scripts/update-models.sh",
        "update-protobuf": "./scripts/update-protobuf.sh",
        "update-coinjoin-middleware": "yarn workspace @trezor/suite-data update-coinjoin-middleware",
        "prepare-release": "./scripts/prepare-release.sh",
        "native:android": "yarn workspace @suite-native/app android",
        "native:ios": "yarn workspace @suite-native/app ios",
        "native:prebuild": "yarn workspace @suite-native/app prebuild:clean",
        "_______ Aliases _______": "Aliases for longer commands which we often have to run manually. Names don't have to be pretty or make total sense.",
        "refs": "yarn update-project-references",
        "types": "yarn type-check",
        "messages": "yarn message-system-sign-config",
        "validate": "yarn verify-project-references && yarn lint:js && yarn nx:lint:styles && yarn nx:build:libs && yarn nx:type-check && yarn nx:test-unit && yarn check-workspace-resolutions && yarn depcheck",
        "a": "yarn native:android",
        "ios": "yarn native:ios",
        "p": "yarn native:prebuild",
        "s": "yarn native:start"
    },
    "lint-staged": {
        "packages/**/*.{ts,tsx}": [
            "eslint --fix",
            "git add"
        ],
        "packages/{suite,suite-web,suite-desktop-ui,connect-explorer,connect-popup,connect-ui,components}/**/*.{ts,tsx}": [
            "stylelint --fix",
            "git add"
        ]
    },
    "resolutions": {
        "typescript": "5.3.3",
        "react-native": "0.74.1",
        "prettier": "3.2.5",
        "type-fest": "2.12.2",
        "bcrypto": "5.4.0",
        "react": "18.2.0",
        "electron": "27.3.8",
        "webpack": "^5.90.1",
        "html-webpack-plugin": "^5.6.0",
        "@types/node": "20.12.7",
        "@types/react": "18.2.55",
        "@sentry/types": "7.92.0",
        "bn.js": "5.2.1"
    },
    "devDependencies": {
        "@babel/cli": "^7.23.9",
        "@babel/core": "^7.23.9",
        "@babel/node": "^7.23.9",
        "@babel/plugin-proposal-class-properties": "^7.18.6",
        "@babel/plugin-proposal-decorators": "^7.23.9",
        "@babel/plugin-transform-runtime": "^7.23.9",
        "@babel/preset-env": "^7.23.9",
        "@babel/preset-react": "^7.23.3",
        "@babel/preset-typescript": "^7.23.3",
        "@babel/runtime": "^7.23.9",
        "@suite-common/wallet-types": "workspace:*",
        "@types/jest": "29.5.12",
        "@types/node": "20.12.7",
        "@types/prettier": "^3.0.0",
        "@types/semver": "^7.5.6",
        "@types/tar": "^6.1.11",
        "@typescript-eslint/eslint-plugin": "^6.21.0",
        "@typescript-eslint/parser": "^6.21.0",
        "babel-jest": "29.7.0",
        "depcheck": "^1.4.7",
        "eslint": "^8.56.0",
        "eslint-plugin-chai-friendly": "^0.7.4",
        "eslint-plugin-cypress": "^2.15.1",
        "eslint-plugin-import": "^2.29.1",
        "eslint-plugin-jest": "^27.6.3",
        "eslint-plugin-jsx-a11y": "^6.8.0",
        "eslint-plugin-react": "^7.33.2",
        "eslint-plugin-react-hooks": "^4.6.0",
        "jest": "29.7.0",
        "jest-expo": "^50.0.2",
        "metro-react-native-babel-preset": "0.77.0",
        "nx": "^18.0.3",
        "patch-package": "8.0.0",
        "prettier": "3.2.5",
        "prettier-eslint": "^16.3.0",
        "rimraf": "^5.0.5",
        "semver": "^7.6.0",
        "tar": "^7.0.1",
        "ts-node": "^10.9.2",
        "tsconfig-paths": "^4.2.0",
        "tslib": "^2.6.2",
        "tsx": "^4.7.0",
        "typescript": "5.3.3",
        "version-bump-prompt": "^6.1.0"
    },
    "dependenciesMeta": {
        "core-js-pure": {
            "built": false
        },
        "electron": {
            "built": true
        },
        "trezor-suite": {
            "built": true
        }
    },
    "packageManager": "yarn@4.2.2"
}
